package com.eco.plugin.xx.jfsso.logout;

import com.fr.decision.fun.impl.AbstractWebResourceProvider;
import com.fr.decision.web.MainComponent;
import com.fr.web.struct.Atom;
import com.fr.web.struct.Component;
import com.fr.web.struct.browser.RequestClient;
import com.fr.web.struct.category.ScriptPath;
import com.fr.web.struct.category.StylePath;


public class WebResourceProvider extends AbstractWebResourceProvider {
    @Override
    public Atom attach() {
        return MainComponent.KEY;
    }

    @Override
    public Atom client() {
        return new Component() {
            @Override
            public ScriptPath script(RequestClient requestClient) {
                return ScriptPath.build("/com/eco/plugin/xx/jfsso/js/logout.js");
            }

            @Override
            public StylePath style(RequestClient requestClient) {
                return StylePath.EMPTY;
//                return StylePath.build("/com/fr/plugin/jdfSSO/css/icon.css");
            }
        };
    }
}
